CVE-2023-38703

CVSS 3.1 Score 9.8 of 10 (high)

Details

Published Oct 6, 2023
Updated: Dec 29, 2023
CWE ID 416

Summary

CVE-2023-38703 is a vulnerability that affects the PJSIP multimedia communication library. This vulnerability specifically impacts applications that have SRTP capability and use underlying media transport other than UDP. The vulnerability arises from a lack of synchronization between the higher-level SRTP transport and the lower-level transport, which can lead to a use-after-free issue. The potential impact ranges from unexpected application termination to control flow hijacking and memory corruption. A patch for this vulnerability is available as a commit in the master branch, and organizations using affected products should apply the patch to remediate the issue.

Share

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2023-38703 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options